DEVICE_QUIET(9)

NAME
device_quiet, device_verbose, device_is_quiet - manipulate device quiet flag

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
void
device_quiet(device_t dev);
void
device_verbose(device_t dev);
int
device_is_quiet(device_t dev);

DESCRIPTION
Each device has a quiet flag associated with it. A device is verbose by default when it is created but may be quieted to prevent the device identification string to be printed during probe. To quiet a device, call device_quiet(), to re-enable to probe message (to make the message appear again, for example after a device_detach(9)) call device_verbose(). To test to see if a device is quieted, call device_is_quiet().

SEE ALSO
device(9)

AUTHORS
This manual page was written by Doug Rabson.